> For the complete documentation index, see [llms.txt](https://nviasoft.gitbook.io/nviasoft-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://nviasoft.gitbook.io/nviasoft-docs/api-reference/item-parsing/getasciiitem.md).

# GetAsciiItem

### int GetAsciiItem(int lMsgId, ref string pszValue)

수신한 SECS메시지의 Ascii Item을 읽음.

반환값은 Ascii Item의 Size를 의미함.

Parameters

<table data-header-hidden><thead><tr><th width="167" valign="top"></th><th width="110" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Name</td><td valign="top">Type</td><td valign="top">Description</td></tr><tr><td valign="top">lMsgId</td><td valign="top">int</td><td valign="top">수신한 Message의 ID</td></tr><tr><td valign="top">pszValue</td><td valign="top">ref string</td><td valign="top">Ascii Item을 저장할 포인터변수</td></tr></tbody></table>

```csharp
string strResult = ""; // 문자열을 저장할 변수

    // GetAsciiItem 호출 (ref 키워드를 사용하여 문자열 참조 전달)
    // 반환값(nSize)은 읽어온 ASCII 문자열의 길이(Byte 단위)입니다. 예) "PPID"이면 4.
    int nSize = m_gem.GetAsciiItem(lMsgId, ref strResult);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://nviasoft.gitbook.io/nviasoft-docs/api-reference/item-parsing/getasciiitem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
